Subject: Re: Help breaking up a large merge.

From: David Brown <[email-masked]>
Date: Thu, 18 Sep 2008 10:47:05 -0700

On Thu, Sep 18, 2008 at 01:40:55PM -0400, Avery Pennarun wrote:

>1) Generate a giant patch file using 'git diff X..A'.  Call the patch P.
>
>2) Using an editor, divide up the patch by files/subdirs based on how
>you want to subdivide the work.  Or alternatively, do that with 'git
>diff' itself, but beware of accidentally forgetting to ask for some
>files if you do it that way.  Call these n individual patches P1..Pn.

The is fairly close to the approach I've been taking, but somehow I
didn't think of using the output of diff itself and hacking that up.
I like this because it makes it easier to not forget some files.

It is likely there will be makefiles to cleanup and such, but
otherwise I like this idea.

Thanks,
David